Page MenuHomePhabricator

Regenerate Bengali Wikipedia logo (2)
Closed, ResolvedPublic

Description

Please regenerate Bengali Wikipedia logo with current version of this file: https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-bn.svg

Please see T252108#6541194

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2020, 10:28 PM
Kizule claimed this task.Oct 14 2020, 10:38 PM
Kizule added a subscriber: Kizule.

Will do.

Restricted Application added a project: User-Kizule. · View Herald TranscriptOct 14 2020, 10:38 PM
Restricted Application added a subscriber: alanajjar. · View Herald TranscriptOct 15 2020, 7:10 AM
Gilles added a subscriber: Gilles.Oct 15 2020, 8:11 AM
Kizule added a comment.EditedThu, Nov 12, 2:10 PM

I'm sorry, but I forgot on this. I will make a patch for this today.

Kizule moved this task from Inbox to Working on on the User-Kizule board.

Change 640816 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Regenerate Bengali Wikipedia logo

https://gerrit.wikimedia.org/r/640816

@Urbanecm I've created a patch, please check it when you can. I've run optipng, and this is output:

C:\Users\zoran\Desktop\development\mediawiki-config\static\images\project-logos>optipng.exe -o7 bnwiki.png 
** Processing: bnwiki.png
135x155 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 18599 bytes
Input file size = 18832 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 17395
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 17393

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 17393

Output IDAT size = 17393 bytes (1206 bytes decrease)
Output file size = 17626 bytes (1206 bytes = 6.40% decrease)


C:\Users\zoran\Desktop\development\mediawiki-config\static\images\project-logos>optipng.exe -o7 bnwiki-1.5x.png 
** Processing: bnwiki-1.5x.png
202x232 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 34159 bytes
Input file size = 34404 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 31121
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 31089

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 31089

Output IDAT size = 31089 bytes (3070 bytes decrease)
Output file size = 31322 bytes (3082 bytes = 8.96% decrease)


C:\Users\zoran\Desktop\development\mediawiki-config\static\images\project-logos>optipng.exe -o7 bnwiki-2x.png   
** Processing: bnwiki-2x.png
270x310 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 51828 bytes
Input file size = 52073 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 46810
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 46659

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 46659

Output IDAT size = 46659 bytes (5169 bytes decrease)
Output file size = 46892 bytes (5181 bytes = 9.95% decrease)

I'm not sure why size of file is bigger now.

That's because @Gilles did some logos optimization in T252108. As part of the optimization, the optimization part changed from plain optipng -o7 to a different set of commands, see https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests#Change_the_logo_of_a_Wikimedia_wiki. It seems that this issue got introduced exactly because of the optimization, see T252108#6541194 for details. @Gilles Could you please have a look and investigate whether that is the issue?

In the meantime, I think we can merge Zoran's patch (which uses the old method), and re-generate it again once @Gilles knows what happened exactly.

Yes, I believe it's a logo that was updated while my patch was in review and that I missed when I updated my patch for the last time before merging (and tried to integrate all logos that changed while my patch was in review).

I'll try to update this patch to use the new method.

@Gilles Thanks for uploading of new patch set, is it good for deploying? @Urbanecm

Change 640816 merged by jenkins-bot:
[operations/mediawiki-config@master] Regenerate Bengali Wikipedia logo

https://gerrit.wikimedia.org/r/640816

Mentioned in SAL (#wikimedia-operations) [2020-11-18T12:11:49Z] <urbanecm@deploy1001> Synchronized static/images/project-logos/: 70aabf7ec8e1b549e78978e48967fb70d21316de: Regenerate Bengali Wikipedia logo (T265553) (duration: 01m 06s)

Urbanecm closed this task as Resolved.Wed, Nov 18, 12:28 PM